"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const default_1 = require("./default");
const ansi_styles_1 = require("ansi-styles");
const jelppConfig = Object.assign({}, default_1.default, { defaultLogLevel: process.env.KARHU_LOG_LEVEL || process.env.NODE_LOG_LEVEL || 'INFO', colors: Object.assign({}, default_1.default.colors, { NOTICE: ansi_styles_1.color.blueBright }), logLevels: updatedLogLevels(), outputMapper: requestPromiseOutputMapper, outputFormat: process.env.KARHU_JSON || (process.stdout && !process.stdout.isTTY) ? 'json' : 'text' });
exports.default = jelppConfig;
function updatedLogLevels() {
    const ll = [...default_1.default.logLevels];
    ll.splice(ll.indexOf('WARN'), 0, 'NOTICE');
    return ll;
}
function requestPromiseOutputMapper(val) {
    if (val instanceof Error && val.name === 'StatusCodeError') {
        const err = val;
        return `StatusCodeError: ${err.statusCode} ${val.message}\n\n${err.response && err.response.body}\n\n${err.stack}`;
    }
    return val;
}
